Page MenuHomePhabricator

Cron <root@labweb1001> test -x /usr/sbin/anacron || ( cd / && run-parts --report /etc/cron.daily )
Closed, ResolvedPublic

Description

/etc/cron.daily/logrotate:
Job for apache2.service failed because the control process exited with error code.
See "systemctl status apache2.service" and "journalctl -xe" for details.
error: error running shared postrotate script for '/var/log/apache2/*.log '
run-parts: /etc/cron.daily/logrotate exited with return code 1

Some logrotate issues. Please fix

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 6 2018, 3:21 AM
Mathew.onipe triaged this task as Medium priority.Dec 6 2018, 3:22 AM
bd808 added a subscriber: bd808.Dec 7 2018, 5:26 AM
$ sudo -i systemctl status apache2.service
● apache2.service - The Apache HTTP Server
   Loaded: loaded (/lib/systemd/system/apache2.service; enabled; vendor preset:
   Active: active (running) (Result: exit-code) since Mon 2018-11-26 15:03:02 UT
 Main PID: 23693 (apache2)
    Tasks: 94 (limit: 7372)
   CGroup: /system.slice/apache2.service
           ├─23693 /usr/sbin/apache2 -k start
           ├─29744 horizon           -k start
           ├─29745 horizon           -k start
           ├─29746 horizon           -k start
           ├─29747 /usr/sbin/apache2 -k start
           └─29865 /usr/sbin/apache2 -k start

Dec 04 06:25:07 labweb1001 systemd[1]: Reloaded The Apache HTTP Server.
Dec 04 18:18:49 labweb1001 systemd[1]: Reloading The Apache HTTP Server.
Dec 04 18:18:49 labweb1001 systemd[1]: apache2.service: Control process exited,
Dec 04 18:18:49 labweb1001 systemd[1]: Reload failed for The Apache HTTP Server.
Dec 05 04:17:07 labweb1001 systemd[1]: Reloading The Apache HTTP Server.
Dec 05 04:17:07 labweb1001 systemd[1]: apache2.service: Control process exited,
Dec 05 04:17:07 labweb1001 systemd[1]: Reload failed for The Apache HTTP Server.
Dec 05 06:25:07 labweb1001 systemd[1]: Reloading The Apache HTTP Server.
Dec 05 06:25:07 labweb1001 systemd[1]: apache2.service: Control process exited,
Dec 05 06:25:07 labweb1001 systemd[1]: Reload failed for The Apache HTTP Server.
$ sudo /usr/sbin/apache2ctl configtest
Syntax OK
$ sudo service apache2 restart
$ sudo -i systemctl status apache2.service
● apache2.service - The Apache HTTP Server
   Loaded: loaded (/lib/systemd/system/apache2.service; enabled; vendor preset:
   Active: active (running) since Fri 2018-12-07 05:20:11 UTC; 1min 35s ago
  Process: 9137 ExecStop=/usr/sbin/apachectl stop (code=exited, status=226/NAMES
  Process: 9189 ExecStart=/usr/sbin/apachectl start (code=exited, status=0/SUCCE
 Main PID: 9193 (apache2)
    Tasks: 94 (limit: 7372)
   CGroup: /system.slice/apache2.service
           ├─9193 /usr/sbin/apache2 -k start
           ├─9196 horizon           -k start
           ├─9197 horizon           -k start
           ├─9198 horizon           -k start
           ├─9199 /usr/sbin/apache2 -k start
           └─9200 /usr/sbin/apache2 -k start

Dec 07 05:20:10 labweb1001 systemd[1]: Starting The Apache HTTP Server...
Dec 07 05:20:11 labweb1001 systemd[1]: Started The Apache HTTP Server.

This is related to T185195.

GTirloni removed a subscriber: GTirloni.Mar 21 2019, 9:06 PM
bd808 closed this task as Resolved.Apr 10 2019, 6:58 PM
bd808 claimed this task.

No sign of this in recent journald logs on labweb100{1,2}. Please re-open if I'm missing something.